## opencolorio 2.1.2%2Bdfsg1

=== CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright Contributors to the OpenColorIO Project.


###############################################################################
# CMake definition.

cmake_minimum_required(VERSION 3.12)

set(CMAKE_MODULE_PATH
    ${CMAKE_MODULE_PATH}
    ${CMAKE_SOURCE_DIR}/share/cmake/utils
    ${CMAKE_SOURCE_DIR}/share/cmake/macros
    ${CMAKE_SOURCE_DIR}/share/cmake/modules
)

set(CMAKE_WARN_DEPRECATED ON)


if(APPLE AND NOT DEFINED CMAKE_OSX_DEPLOYMENT_TARGET)
    # The value of this variable should be set prior to the first project() command invocation
    # because it may influence configuration of the toolchain and flags.
    set(CMAKE_OSX_DEPLOYMENT_TARGET "10.13" CACHE STRING "Minimum OS X deployment version")
endif()


###############################################################################
# Project definition.

project(OpenColorIO 
    VERSION 2.1.2
    DESCRIPTION "OpenColorIO (OCIO) is a complete color management solution"
    HOMEPAGE_URL https://github.com/AcademySoftwareFoundation/OpenColorIO
    LANGUAGES CXX C)

# "dev", "beta1", rc1", etc or "" for an official release.
set(OpenColorIO_VERSION_RELEASE_TYPE "")


###############################################################################
# ctest

# To correctly generate the DartConfiguration.tcl, include the CTest CMake file.
# By doing so 'ctest -F memcheck' works.
include (CTest)

enable_testing()


###############################################################################
# Provides install directory variables as defined by the GNU Coding Standards.
include(GNUInstallDirs)


###############################################################################
# Forbid in-source build.

if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
    message(FATAL_ERROR 
            "In-source build not allowed. Please make a new sub-directory and run cmake from there.")
endif()


###############################################################################
# Global CMake options.

# Do not output install messages.
if(NOT DEFINED CMAKE_INSTALL_MESSAGE)
    set(CMAKE_INSTALL_MESSAGE "NEVER")
endif()

# Change the path max size to avoid problem on Windows.
if(NOT DEFINED CMAKE_OBJECT_PATH_MAX)
    set(CMAKE_OBJECT_PATH_MAX 300)
endif()


###############################################################################
# Define compilation mode i.e. debug or release

if(NOT DEFINED CMAKE_BUILD_TYPE OR CMAKE_BUILD_TYPE STREQUAL "")
    message(STATUS "Setting build type to 'Release' as none was specified.")
    set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose the type of build." FORCE)
endif()

# List all the valid build types.

if(NOT DEFINED CMAKE_CONFIGURATION_TYPES)
    set(CMAKE_CONFIGURATION_TYPES "Debug;Release;MinSizeRel;RelWithDebInfo" CACHE STRING "" FORCE)
    mark_as_advanced(CMAKE_CONFIGURATION_TYPES)
endif()

set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release" "MinSizeRel" "RelWithDebInfo")

# Is that a valid build type?

if(NOT "${CMAKE_BUILD_TYPE}" IN_LIST CMAKE_CONFIGURATION_TYPES)
    string(REPLACE ";" ", " _CMAKE_CONFIGURATION_TYPES_STR "${CMAKE_CONFIGURATION_TYPES}")
    message(FATAL_ERROR 
            "CMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE} is unsupported. Supported values are: ${_CMAKE_CONFIGURATION_TYPES_STR}.")
endif()

# Is that in debug mode?

set(_BUILD_TYPE_DEBUG OFF)
if(CMAKE_BUILD_TYPE MATCHES "[Dd][Ee][Bb][Uu][Gg]")
    set(_BUILD_TYPE_DEBUG ON)
endif()

set(BUILD_TYPE_DEBUG ${_BUILD_TYPE_DEBUG})


###############################################################################
# C++ version configuration

include(Compilers)
include(CppVersion)


###############################################################################
# Components to build

option(BUILD_SHARED_LIBS "Set to OFF to build static libraries" ON)
option(OCIO_BUILD_APPS "Set to OFF to disable command-line apps" ON)
option(OCIO_BUILD_OPENFX "Specify whether to build OpenFX plugins" OFF)
option(OCIO_BUILD_NUKE "Specify whether to build nuke plugins" OFF)
option(OCIO_BUILD_TESTS "Specify whether to build unittests" ON)
option(OCIO_BUILD_GPU_TESTS "Specify whether to build gpu unittests" ON)
option(OCIO_USE_HEADLESS "Specify whether the GPU rendering is headless" OFF)

option(OCIO_BUILD_FROZEN_DOCS "Specify whether to build frozen documentation, necessary when modifying the OCIO public API" OFF)
option(OCIO_BUILD_DOCS "Specify whether to build documentation" ${OCIO_BUILD_FROZEN_DOCS})

option(OCIO_BUILD_PYTHON "Specify whether to build python bindings" ON)
set (OCIO_PYTHON_VERSION "" CACHE STRING
     "Preferred Python version (if any) in case multiple are available")

option(OCIO_BUILD_JAVA "Specify whether to build java bindings" OFF)

option(OCIO_WARNING_AS_ERROR "Set build error level for CI testing" OFF)

option(OCIO_USE_WINDOWS_UNICODE "On Windows only, compile with Unicode support" WIN32)


###############################################################################
# Optimization / internal linking preferences

option(OCIO_USE_SSE "Specify whether to enable SSE CPU performance optimizations" ON)
option(OCIO_USE_OPENEXR_HALF "Specify whether to use an OpenEXR/IlmBase install of the Half library (<=v2.5) instead of the newer Imath library (>=v3.0)" OFF)
option(OCIO_USE_OIIO_CMAKE_CONFIG "Specify whether to look for OIIO using the generated CMake Config script instead of the custom FindOpenImageIO.cmake script" OFF)


###############################################################################
# GPU configuration

include(CheckSupportGL)


###############################################################################
# Define compilation and link flags

include(CompilerFlags)


###############################################################################
# External linking options

# Supported options
set(_EXT_OPTIONS NONE MISSING ALL)
string(REPLACE ";" ", " _EXT_OPTIONS_STR "${_EXT_OPTIONS}")

# Default option
set(_OCIO_INSTALL_EXT_PACKAGES "MISSING")

if(DEFINED OCIO_INSTALL_EXT_PACKAGES)
    # Case insensitive match
    string(TOUPPER "${OCIO_INSTALL_EXT_PACKAGES}" _OCIO_INSTALL_EXT_PACKAGES)
    if(NOT "${_OCIO_INSTALL_EXT_PACKAGES}" IN_LIST _EXT_OPTIONS)
        message(FATAL_ERROR 
                "OCIO_INSTALL_EXT_PACKAGES=${OCIO_INSTALL_EXT_PACKAGES} is unsupported. Supported values are: ${_EXT_OPTIONS_STR}.")
    endif()
endif()

# Overwrite cache variable with normalized case
set(OCIO_INSTALL_EXT_PACKAGES "${_OCIO_INSTALL_EXT_PACKAGES}" CACHE STRING
    "Set the condition for Installing external dependencies" FORCE)

set_property(CACHE OCIO_INSTALL_EXT_PACKAGES PROPERTY STRINGS ${_EXT_OPTIONS})


###############################################################################
# Versioning

if(NOT DEFINED SOVERSION)
    set(SOVERSION "${OpenColorIO_VERSION_MAJOR}.${OpenColorIO_VERSION_MINOR}" CACHE STRING 
        "Set the SO version in the SO name of the output library")
    message(STATUS "Setting SOVERSION to '${SOVERSION}' as none was specified.")
elseif(SOVERSION STREQUAL "")
    message(FATAL_ERROR "A SOVERSION cannot be empty.")
endif()


###############################################################################
# Namespace

if(NOT DEFINED OCIO_NAMESPACE)
	set(OCIO_NAMESPACE "OpenColorIO_v${OpenColorIO_VERSION_MAJOR}_${OpenColorIO_VERSION_MINOR}${OpenColorIO_VERSION_RELEASE_TYPE}" CACHE STRING 
        "Specify the master OCIO C++ namespace: Options include OpenColorIO OpenColorIO_<YOURFACILITY> etc.")
elseif(OCIO_NAMESPACE STREQUAL "")
    message(FATAL_ERROR "A namespace cannot be empty.")
else()
    set(OCIO_NAMESPACE "OpenColorIO_${OCIO_NAMESPACE}_v${OpenColorIO_VERSION_MAJOR}_${OpenColorIO_VERSION_MINOR}${OpenColorIO_VERSION_RELEASE_TYPE}" CACHE STRING 
        "Specify the master OCIO C++ namespace: Options include OpenColorIO OpenColorIO_<YOURFACILITY> etc.")
    message(STATUS "Setting namespace to '${OCIO_NAMESPACE}' as none was specified.")
endif()


###############################################################################
# Library name custom suffix
# This helps an application that needs to ship a dynamic library OCIO ensure
# that it has a unique name that won't conflict with one elsewhere on the
# system.

set (OCIO_LIBNAME_SUFFIX "" CACHE STRING
     "Specify a suffix to all libraries that are built")


###############################################################################
# Error checking

if(OCIO_BUILD_SHARED AND OCIO_BUILD_STATIC)
	message(FATAL_ERROR 
            "Deprecated options OCIO_BUILD_SHARED and OCIO_BUILD_STATIC cannot both be used at once")
endif()

if(OCIO_BUILD_SHARED)
	message(DEPRECATION 
            "Option OCIO_BUILD_SHARED is deprecated. Please use the cmake standard BUILD_SHARED_LIBS=ON (default ON)")
	if(NOT BUILD_SHARED_LIBS)
		set(BUILD_SHARED_LIBS ON)
	endif()
endif()

if(OCIO_BUILD_STATIC)
	message(DEPRECATION 
            "Option OCIO_BUILD_STATIC is deprecated. Please use the cmake standard BUILD_SHARED_LIBS=OFF (default ON)")
	if(BUILD_SHARED_LIBS)
		set(BUILD_SHARED_LIBS OFF)
	endif()
endif()


###############################################################################
# Find or install external dependencies
# Some required targets may be created by third-party CMake configs, which 
# don't generally produce global targets. To guarantee all imported targets are 
# global, this module is included at the project root level.

include(FindExtPackages)


###############################################################################
# Progress to other sources

add_subdirectory(vendor)
if(OCIO_BUILD_DOCS)
	add_subdirectory(docs)
endif()
add_subdirectory(tests)
add_subdirectory(src)
add_subdirectory(ext)


###############################################################################
# Configure env script

if(WIN32)
    set(OCIO_SETUP_NAME setup_ocio.bat)
else()
    set(OCIO_SETUP_NAME setup_ocio.sh)
endif()

configure_file(${CMAKE_SOURCE_DIR}/share/ocio/${OCIO_SETUP_NAME}.in
    ${CMAKE_CURRENT_BINARY_DIR}/share/ocio/${OCIO_SETUP_NAME} @ONLY)

INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/share/ocio/${OCIO_SETUP_NAME} DESTINATION ${CMAKE_INSTALL_DATADIR}/ocio/)


###############################################################################
# Generate OpenColorIO-config.cmake
# Targets exported to ${PROJECT_NAME}_EXPORTED_TARGETS will be available for
# import using find_package(OpenColorIO).

include(CMakePackageConfigHelpers)

set(OCIO_TARGETS_EXPORT_NAME "${PROJECT_NAME}Targets.cmake")
set(OCIO_VERSION_CONFIG "${CMAKE_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake")
set(OCIO_PROJECT_CONFIG "${CMAKE_BINARY_DIR}/${PROJECT_NAME}Config.cmake")
set(OCIO_CONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}")

# Version fetched from the top level project()
write_basic_package_version_file(
    ${OCIO_VERSION_CONFIG}
    # Version range supported only if generated by CMake 3.19.2 or newer.
    COMPATIBILITY SameMajorVersion
)

configure_package_config_file(
    ${CMAKE_CURRENT_LIST_DIR}/src/cmake/Config.cmake.in ${OCIO_PROJECT_CONFIG}
    INSTALL_DESTINATION ${OCIO_CONFIG_INSTALL_DIR}
    NO_SET_AND_CHECK_MACRO
    NO_CHECK_REQUIRED_COMPONENTS_MACRO
)

install(
    EXPORT ${PROJECT_NAME}_EXPORTED_TARGETS
    DESTINATION ${OCIO_CONFIG_INSTALL_DIR}
    NAMESPACE ${PROJECT_NAME}::
    FILE ${OCIO_TARGETS_EXPORT_NAME}
)

install(
    FILES "${OCIO_PROJECT_CONFIG}" "${OCIO_VERSION_CONFIG}"
    DESTINATION "${OCIO_CONFIG_INSTALL_DIR}"
)

## opencolorio 2.1.2+dfsg1

=== debian/changelog ===
opencolorio (2.1.2+dfsg1-4ubuntu2) lunar; urgency=medium

  * No-change rebuild against libopenimageio 2.4 (LP: #2004267)

 -- Olivier Gayot <olivier.gayot@canonical.com>  Tue, 31 Jan 2023 17:37:40 +0100

opencolorio (2.1.2+dfsg1-4ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/patches/0002-fix-documentation-cmake-syntax.patch
    - Include header file in binary package (change in d/rules and
      d/python3-pyopencolorio.install)
  * Drop Conflicts/Replaces on broken prerelease versions of
    libopencolorio1v5.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 24 Jan 2023 14:32:49 -0800

opencolorio (2.1.2+dfsg1-4) unstable; urgency=medium

  [ Pino Toscano ]
  * debian/control: update build-dependencies

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 20 Aug 2022 23:39:40 +0200

opencolorio (2.1.2+dfsg1-3ubuntu2) lunar; urgency=medium

  * No-change rebuild against freeglut3.12

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 28 Nov 2022 23:29:49 +0000

opencolorio (2.1.2+dfsg1-3ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable (LP: #1987041). Remaining changes:
    - d/patches/0002-fix-documentation-cmake-syntax.patch
    - Include header file in binary package (change in d/rules and
      d/python3-pyopencolorio.install)
  * debian/control: add Conflicts: and Replaces: fields on libopencolorio2.1
    since versions of libopencolorio1v5 containing libOpenColorIO.so.2.1 were
    uploaded to kinetic.

 -- Olivier Gayot <olivier.gayot@canonical.com>  Fri, 19 Aug 2022 11:51:16 +0200

opencolorio (2.1.2+dfsg1-3) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 18 Aug 2022 19:59:49 +0200

opencolorio (2.1.2+dfsg1-2) experimental; urgency=medium

  * debian/: switch to Imath/OpenEXR 3.x
  * debian/control: python3-imath b-dep added

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 17 Aug 2022 23:47:34 +0200

opencolorio (2.1.2+dfsg1-1) experimental; urgency=medium

  * New upstream release (Closes: #995905, #984276)
    - debian/: SONAME bump 1 -> 2
    - debian/patches/: obsolete patchset dropped
  * debian/:
    - drop documentation binary package
    - M-A support added
  * debian/patches/: patchset updated
    - 0001-Fix_cstring_issue.patch added
  * debian/NEWS: file added
  * debian/watch: path and repacking updated
  * debian/manpages/: manual pages added and updated
  * debian/copyright: paths fixed
  * debian/control:
    - freeglut3-dev b-dep added
    - more missing b-deps added
    - S-V bump 4.5.1 -> 4.6.1 (no changes needed)
    - python3-dev -> python3-dev:any
    - fix upstream URL
    - demote to use IlmBase/OpenEXR 2.x
    - add pybuild-plugin-pyproject b-dep
  * debian/rules:
    - CMAKE_BUILD_TYPE parameter added
    - drop useless repack variable
    - avoid building external packages
    - hard set for pystring headers directory
    - drop obsolete settings on Python
    - bump CMAKE_CXX_STANDARD to 17
    - add and re-arrange exports and variables
    - explicitly define OpenEXR Half usage
    - drop documentation moving
    - drop auto clean overriding
    - static libraries dropped
    - documentation files removal dropped

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 11 Aug 2022 23:46:16 +0200

opencolorio (2.1.2~dfsg0-0ubuntu3) kinetic; urgency=medium

  * Remove libOpenColorIOoiiohelpers.a from d/install file now
    that openimageio is built in the archive.

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Mon, 08 Aug 2022 16:18:28 -0500

opencolorio (2.1.2~dfsg0-0ubuntu2) kinetic; urgency=medium

  * Temporarily add libOpenColorIOoiiohelpers.a to d/install file.
    This is needed until openimageio is rebuilt.

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Mon, 08 Aug 2022 09:04:22 -0500

opencolorio (2.1.2~dfsg0-0ubuntu1) kinetic; urgency=medium

  * New upstream version 2.1.2.

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Wed, 03 Aug 2022 14:10:09 -0500

opencolorio (1.1.1~dfsg0-7.1build2) kinetic; urgency=medium

  * Rebuild against new libdcmtk17.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 Jun 2022 18:53:05 +0200

=== debian/control ===
Source: opencolorio
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Matteo F. Vescovi <mfv@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-python,
 doxygen,
 freeglut3-dev,
 libexpat1-dev,
 libglew-dev,
 libimath-dev,
 liblcms2-dev,
 libopenimageio-dev (>= 2.3.9.0) <!pkg.opencolorio.noopenimageio>,
 libpystring-dev (>= 1.1.3),
 libpython3-dev,
 libtinyxml-dev,
 libyaml-cpp-dev,
 pkg-config,
 pybind11-dev,
 pybuild-plugin-pyproject,
 python3:any,
 python3-breathe,
 python3-docutils,
 python3-imath,
 python3-jinja2,
 python3-pygments,
 python3-recommonmark,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-press-theme,
 python3-sphinx-tabs,
 python3-testresources
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://opencolorio.org
Vcs-Git: https://salsa.debian.org/debian-phototools-team/opencolorio.git
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/opencolorio

Package: libopencolorio-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libopencolorio2.1 (= ${binary:Version}),
         ${misc:Depends}
Description: complete color management solution - development
 OpenColorIO (OCIO) is a complete color management solution geared
 towards motion picture production with an emphasis on visual effects
 and computer animation. OCIO provides a straightforward and
 consistent user experience across all supporting applications while
 allowing for sophisticated back-end configuration options suitable
 for high-end production usage. OCIO is compatible with the Academy
 Color Encoding Specification (ACES) and is LUT-format agnostic,
 supporting many popular formats.
 .
 OpenColorIO is released as version 2.0 and has been in development
 since 2003. OCIO represents the culmination of years of production
 experience earned on such films as SpiderMan 2 (2004), Surf's Up
 (2007), Cloudy with a Chance of Meatballs (2009), Alice in Wonderland
 (2010), and many more. OpenColorIO is natively supported in
 commercial applications like Katana, Mari, Nuke, Maya, Houdini,
 Silhouette FX, and others.
 .
 OpenColorIO is free and open source software and one of several
 projects actvively sponsored by the ASWF (Academy Software
 Foundation).
 .
 This package provides the development files used to build
 applications using OpenColorIO.

Package: libopencolorio2.1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: complete color management solution - runtime
 OpenColorIO (OCIO) is a complete color management solution geared
 towards motion picture production with an emphasis on visual effects
 and computer animation. OCIO provides a straightforward and
 consistent user experience across all supporting applications while
 allowing for sophisticated back-end configuration options suitable
 for high-end production usage. OCIO is compatible with the Academy
 Color Encoding Specification (ACES) and is LUT-format agnostic,
 supporting many popular formats.
 .
 OpenColorIO is released as version 2.0 and has been in development
 since 2003. OCIO represents the culmination of years of production
 experience earned on such films as SpiderMan 2 (2004), Surf's Up
 (2007), Cloudy with a Chance of Meatballs (2009), Alice in Wonderland
 (2010), and many more. OpenColorIO is natively supported in
 commercial applications like Katana, Mari, Nuke, Maya, Houdini,
 Silhouette FX, and others.
 .
 OpenColorIO is free and open source software and one of several
 projects actvively sponsored by the ASWF (Academy Software
 Foundation).
 .
 This package provides the runtime files used to run applications
 built against OpenColorIO.

Package: opencolorio-tools
Section: utils
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: complete color management solution - utilities
 OpenColorIO (OCIO) is a complete color management solution geared
 towards motion picture production with an emphasis on visual effects
 and computer animation. OCIO provides a straightforward and
 consistent user experience across all supporting applications while
 allowing for sophisticated back-end configuration options suitable
 for high-end production usage. OCIO is compatible with the Academy
 Color Encoding Specification (ACES) and is LUT-format agnostic,
 supporting many popular formats.
 .
 OpenColorIO is released as version 2.0 and has been in development
 since 2003. OCIO represents the culmination of years of production
 experience earned on such films as SpiderMan 2 (2004), Surf's Up
 (2007), Cloudy with a Chance of Meatballs (2009), Alice in Wonderland
 (2010), and many more. OpenColorIO is natively supported in
 commercial applications like Katana, Mari, Nuke, Maya, Houdini,
 Silhouette FX, and others.
 .
 OpenColorIO is free and open source software and one of several
 projects actvively sponsored by the ASWF (Academy Software
 Foundation).
 .
 This package provides some utilities.

Package: python3-pyopencolorio
Section: python
Architecture: any
Multi-Arch: same
Depends: libopencolorio2.1 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: complete color management solution - Python bindings
 OpenColorIO (OCIO) is a complete color management solution geared
 towards motion picture production with an emphasis on visual effects
 and computer animation. OCIO provides a straightforward and
 consistent user experience across all supporting applications while
 allowing for sophisticated back-end configuration options suitable
 for high-end production usage. OCIO is compatible with the Academy
 Color Encoding Specification (ACES) and is LUT-format agnostic,
 supporting many popular formats.
 .
 OpenColorIO is released as version 2.0 and has been in development
 since 2003. OCIO represents the culmination of years of production
 experience earned on such films as SpiderMan 2 (2004), Surf's Up
 (2007), Cloudy with a Chance of Meatballs (2009), Alice in Wonderland
 (2010), and many more. OpenColorIO is natively supported in
 commercial applications like Katana, Mari, Nuke, Maya, Houdini,
 Silhouette FX, and others.
 .
 OpenColorIO is free and open source software and one of several
 projects actvively sponsored by the ASWF (Academy Software
 Foundation).
 .
 This package provides Python bindings to the OpenColorIO library.

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
BLDDIR = debian/cmake
INSTDIR = debian/tmp

%:
	dh $@ -Scmake -B$(BLDDIR) --with python3

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=Release \
		-DCMAKE_CXX_FLAGS="$(CXXFLAGS) $(CPPFLAGS)" \
		-DCMAKE_CXX_STANDARD=17 \
		-DCMAKE_INSTALL_MESSAGE="ALWAYS" \
		-DCMAKE_SKIP_RPATH=ON \
		-DOCIO_BUILD_NUKE=OFF \
		-DOCIO_BUILD_STATIC=OFF \
		-DOCIO_BUILD_TESTS=OFF \
		-DOCIO_INSTALL_EXT_PACKAGES=NONE \
		-DOCIO_USE_SSE=OFF \
		-Dpystring_INCLUDE_DIR:PATH="/usr/include"

override_dh_auto_install:
	dh_auto_install
	rm -f $(INSTDIR)/usr/share/ocio/setup_ocio.sh
	rm -f $(INSTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/lib*.a

override_dh_install:
	mkdir -p debian/tmp/usr/include/PyOpenColorIO
	cp src/bindings/python/PyOpenColorIO.h debian/tmp/usr/include/PyOpenColorIO/
	dh_install

override_dh_auto_test:

## opencolorio 2.1.3%2Bdfsg

=== debian/changelog ===
opencolorio (2.1.3+dfsg-1.1deepin1) unstable; urgency=medium

  * Revert t64.

 -- xiangzelong <xiangzelong@deepin.org>  Tue, 10 Sep 2024 10:26:19 +0800

opencolorio (2.1.3+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062836

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 03:03:29 +0000

opencolorio (2.1.3+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 06 Sep 2023 20:33:23 +0200

opencolorio (2.1.2+dfsg1-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixup manpage failure (Closes: #1017111)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 26 Aug 2023 16:47:44 +0200

opencolorio (2.1.2+dfsg1-4.1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Non-maintainer upload.
  * Fix FTBFS with newer yaml-cpp (Closes: #1050366)
  * Update manpages (Closes: #1017111)

  [ Olivier Gayot ]
  * Include header file in binary package (change in d/rules and
    d/python3-pyopencolorio.install) (Closes: #1050570)
  * d/patches/0002-fix-documentation-cmake-syntax.patch Fix generation of
    documentation.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 26 Aug 2023 13:55:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: opencolorio
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
  cmake,
  debhelper-compat (= 13),
  dh-python,
